Bug 1024590 - [origin_ui_82] [deploy] Improve deployments list with rollback data
[origin_ui_82] [deploy] Improve deployments list with rollback data
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 23:16 EDT by Fabiano Franz
Modified: 2015-05-14 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:27:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
list-deployment (104.49 KB, image/png)
2013-10-29 23:18 EDT, Fabiano Franz
no flags Details

  None (edit)
Description Fabiano Franz 2013-10-29 23:16:31 EDT
Description of problem: 

The list deployments command should be improved to follow the layout according the attached screenshot. Deployments will be displayed one activation every line, with tags if a given deploy were rolled back (in that case the line will be displayed in yellow) or is a rollback to a previous version. The deployment currently active will be displayed in green.

While testing this issue make sure to deploy a few times and then activate previous deployments.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rhc create-app foo php-5
2. rhc configure-app foo --no-auto-deploy --keep-deployments 10
3. Edit any file, commit 1, git push
4. Edit any file, commit 2, git push
5. Edit any file, commit 3, git push
6. rhc deploy <commit 1 sha> -a foo
7. rhc deploy <commit 2 sha> -a foo
8. rhc deploy <commit 3 sha or 'master'> -a foo
9. rhc deployments foo (take note of a previous deployment id)
10. rhc activate-deployment <deployment id> -a foo
11. rhc deployments foo

The deployments list should display a few deployments with rollbacks.

Actual results:


Expected results:


Additional info:
Comment 1 Fabiano Franz 2013-10-29 23:18:39 EDT
Created attachment 817264 [details]
list-deployment
Comment 3 Wei Sun 2013-10-30 02:32:21 EDT
Verified on fork_ami_bug_1024590_921

Result:
[root@ip-10-239-22-68 ~]# rhc activate-deployment 535e4afd -a foo
Activating deployment '535e4afd' on application foo ...
Activating deployment
Stopping PHP cartridge
Waiting for stop to finish
Starting PHP cartridge
Success

[root@ip-10-239-22-68 ~]# rhc deployments foo
2:19 AM, deployment 8bd16f42
2:24 AM, deployment ab44faba
2:24 AM, deployment 535e4afd
2:25 AM, deployment b0752561 (rolled back)
2:27 AM, deployment 535e4afd (rollback to 2:24 AM)

Note You need to log in before you can comment on or make changes to this bug.